For AI agents: a documentation index is available at https://www.mongodb.com/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.

Get the Release Receipt for a License Key

Retrieves a signed receipt that confirms you released a license key from an Ops Manager installation. Ops Manager returns a receipt only for a released license key. The Ops Manager interface offers the same receipt as a download.

Keep the receipt as proof of the release. If your installation can't connect to MongoDB, upload the receipt in the Key Portal at https://support.mongodb.com/keyportal.

To access this resource, your API key must have the Global Owner role. The Global Owner role is the highest role in Ops Manager. Only users with this role can view and manage license keys.

Send a GET request with the license key ID in the path.

Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0

GET /admin/artifacts/{artifactId}/receipt

The request path contains the following parameter:

Parameter
Type
Necessity
Description

artifactId

string

Required

Unique identifier of the released license key.

This endpoint accepts the following query parameters:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether the response body is in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

This endpoint doesn't use HTTP request body parameters.

The response contains the following field:

Field
Type
Description

receipt

object

Release receipt for the license key, returned as a JSON document.

If you specify an artifactId that doesn't match a released license key, the endpoint returns the HTTP status 404. The errorCode field of the response body contains ARTIFACT_NOT_FOUND, and the detail field contains No released artifact with that id.

Use curl to send a GET request to the /admin/artifacts/{artifactId}/receipt endpoint:

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --include \ --request GET \ "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/artifacts/{ARTIFACT-ID}/receipt?pretty=true"

The following examples show the response headers and the response body of a successful request.

The following headers show an unauthorized response and a successful response:

HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-alive
HTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}

The following example shows the response body:

{ "receipt": { "{RECEIPT-CONTENTS}": "..." }}